package ru.yandex.autotests.direct.web.data.banners;

import ru.yandex.autotests.direct.utils.textresource.ITextResource;

import static ru.yandex.autotests.direct.web.util.helpers.TextResourceHelper.resource;

/**
 * User: xy6er
 * Date: 14.09.13
 * Time: 11:07
 */

public enum BannerTabsEnum implements ITextResource {
    ALL,
    ACTIVE,
    ON_MODERATION,
    DECLINE,
    STOPPED,
    ARCHIVE,
    RECOMMENDATION,
    DRAFT,
    MEDIAPLAN;

    @Override
    public String toString() {
        return "Вкладка: " + resource(this).toString();
    }

    public String getName() {
        return resource(this).toString();
    }

    @Override
    public String getBundle() {
        return "web.banners.BannerTabs";
    }
}
